Search Task

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/task
API call form
Examples

Tasks are created by Luzmo for work that runs in the background. The following resources can produce tasks:

You can retrieve tasks you requested yourself. Organization Admins can retrieve any task requested by a user in their organization, including tasks requested with an Embed token.

Filter by id to retrieve a specific task, or by schedule_id to list tasks produced by a schedule (for example the latest runs of a scheduled export).

For data exports delivered to a webhook, retrieve the task with the taskId from the webhook request. result.downloadUrl contains the download link of the exported file and is set before the webhook is sent, so the task status may still be inprogress when the webhook arrives. The link expires at result.expiresAt , 7 days after the export.

Request parametersResponse schema
Expand all Reset
find *OBJECTrequired
where OBJECT
attributes ARRAY[STRING]
include ARRAY[OBJECT]
order ARRAY
limit NUMBER
offset NUMBER
Can be executed by:
Task Owner
Organization Admin
Can be associated to:
User
Securable
Schedule
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "29b8bb5a-e946-4cf6-8960-5a7ba1163e93",
      "type": "dataexport",
      "status": "completed",
      "entity_id": "625fb04c-47ca-42f1-98e5-a4307548355f",
      "schedule_id": null,
      "requested_at": "2026-09-23T13:14:02.000Z",
      "started_at": "2026-09-23T13:14:03.000Z",
      "completed_at": "2026-09-23T13:14:12.000Z",
      "error": null,
      "result": {
        "downloadUrl": "https://app.luzmo.com/data-export/29b8bb5a-e946-4cf6-8960-5a7ba1163e93?key=< key >&token=< token >",
        "expiresAt": 1790774052176
      }
    }
  ]
}